<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class EncryptPasswords extends Command
{
    protected $signature = 'encrypt:passwords';
    protected $description = 'Encrypt plain-text passwords in the database';

    public function handle()
    {
        // Obtén los usuarios con contraseñas no cifradas
        $users = DB::table('users')->whereRaw('CHAR_LENGTH(password) < 60')->get();

        foreach ($users as $user) {
            $hashedPassword = Hash::make($user->password); // Cifra la contraseña
            DB::table('users')->where('id', $user->id)->update(['password' => $hashedPassword]);

            $this->info("Password encrypted for user ID: {$user->id}");
        }

        $this->info('All plain-text passwords have been encrypted.');
    }
}

