<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard Admin</title>
    <script src="https://unpkg.com/@tailwindcss/browser@4"></script>
    <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
    <script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>
</head>

<body class="font-[Poppins] bg-gradient-to-t from-[#D9E7DD] to-[#E6DAC3] min-h-screen">
    <header class="bg-white">
        <nav class="bg-white shadow-lg fixed w-full">
            <div class="container mx-auto px-4">
                <div class="flex justify-between items-center py-4">

                    <!-- Logo -->
                    <a href="#" class="text-white text-2xl font-bold flex items-center">
                        <img src="{{ asset('img/LogoIglesia.png') }}" alt="Logo" class="w-16">
                    </a>

                    <!-- Menú principal -->
                    <div class="hidden md:flex space-x-6">
                        <a href="{{ route('admin.dashboard') }}"
                            class="text-black hover:text-blue-300 transition duration-300">Home</a>
                        <a href="#" class="text-black hover:text-blue-300 transition duration-300">Nosotros</a>
                        <a href="#" class="text-black hover:text-blue-300 transition duration-300">Contáctanos</a>
                    </div>

                    <!-- Botón de sesión siempre visible -->
                    <button id="session-btn" class="flex items-center">
                        <ion-icon name="person-circle-outline"
                            class="bg-white text-3xl cursor-pointer pt-4 pr-5 w-16"></ion-icon>
                    </button>

                    <!-- Menú móvil -->
                    <div class="md:hidden flex items-center">
                        <button id="menu-btn" class="text-white focus:outline-none">
                            <svg class="w-6 h-6 bg-black rounded-sm mr-2" fill="none" stroke="currentColor"
                                viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                    d="M4 6h16M4 12h16M4 18h16"></path>
                            </svg>
                        </button>
                    </div>
                </div>
            </div>

            <!-- Opciones del menú -->
            <div id="admin-menu" class="hidden  text-lg">
                @if (session('is_admin'))
                    <a href="{{ route('admin.register') }}" class="btn btn-primary">Registrar Usuario</a>
                @endif
                <a href="{{ route('admin.logout') }}" class="block">Cerrar Sesión</a>
            </div>

            <div id="mobile-menu" class="hidden md:hidden text-lg">
                <a href="{{ route('home') }}"
                    class="block text-black hover:text-blue-300 transition duration-300">Home</a>
                <a href="#" class="block text-black hover:text-blue-300 transition duration-300">Nosotros</a>
                <a href="#" class="block text-black hover:text-blue-300 transition duration-300">Contáctanos</a>
            </div>

        </nav>
    </header>

    <script>
        const menuBtn = document.getElementById('menu-btn');
        const mobileMenu = document.getElementById('mobile-menu');
        const sessionBtn = document.getElementById('session-btn');
        const adminMenu = document.getElementById('admin-menu');

        // Mostrar/ocultar menú móvil
        menuBtn.addEventListener('click', () => {
            mobileMenu.classList.toggle('hidden');
        });

        // Mostrar/ocultar menú admin
        sessionBtn.addEventListener('click', () => {
            adminMenu.classList.toggle('hidden');
        });
    </script>

    <br><br><br><br><br>


    <div class="overflow-x-auto">
        <table class="min-w-full bg-white border border-gray-200 rounded-lg shadow-lg">
            <thead class="bg-indigo-600 text-white">
                <tr>
                    <th class="text-left py-3 px-4 uppercase font-semibold text-sm">Nombre</th>
                    <th class="text-left py-3 px-4 uppercase font-semibold text-sm">Email</th>
                    <th class="text-left py-3 px-4 uppercase font-semibold text-sm">Fecha de Ingreso</th>
                    <th class="text-left py-3 px-4 uppercase font-semibold text-sm">Bautizado</th>
                    <th class="text-left py-3 px-4 uppercase font-semibold text-sm">Nivel</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($users as $user)
                    <tr class="border-t border-gray-200 hover:bg-gray-100">
                        <td class="py-3 px-4 text-gray-700">{{ $user->name }}</td>
                        <td class="py-3 px-4 text-gray-700">{{ $user->email }}</td>
                        <td class="py-3 px-4 text-gray-700">{{ $user->ing_iglesia }}</td>
                        <td class="py-3 px-4 text-gray-700">
                            {{ $user->is_bautizado ? 'Sí' : 'No' }}
                        </td>
                        <td class="py-3 px-4 text-gray-700">
                            {{ $user->is_admin ? 'Administrador' : 'Usuario' }}
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    
    </div>

</body>

</html>
