<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registrar Usuario</title>
    <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>
</head>
<body class="bg-gray-100 flex items-center justify-center min-h-screen">
    <div class="bg-white shadow-lg rounded-lg p-8 w-full max-w-lg">
        <h1 class="text-2xl font-bold text-center text-gray-700 mb-6">Registrar Nuevo Usuario</h1>
        <form action="<?php echo e(route('admin.register')); ?>" method="POST" class="space-y-6">
            <?php echo csrf_field(); ?>
            <!-- Nombre -->
            <div>
                <label for="name" class="block text-sm font-medium text-gray-700">Nombre:</label>
                <input 
                    type="text" 
                    name="name" 
                    id="name" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    placeholder="Nombre completo" 
                    required>
            </div>

            <!-- Email -->
            <div>
                <label for="email" class="block text-sm font-medium text-gray-700">Email:</label>
                <input 
                    type="email" 
                    name="email" 
                    id="email" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    placeholder="correo@example.com" 
                    required>
            </div>

            <!-- Contraseña -->
            <div>
                <label for="password" class="block text-sm font-medium text-gray-700">Contraseña:</label>
                <input 
                    type="password" 
                    name="password" 
                    id="password" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    placeholder="Contraseña" 
                    minlength="8" 
                    required>
            </div>

            <!-- Administrador -->
            <div>
                <label for="is_admin" class="block text-sm font-medium text-gray-700">Administrador:</label>
                <select 
                    name="is_admin" 
                    id="is_admin" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    required>
                    <option value="1">Sí</option>
                    <option value="0">No</option>
                </select>
            </div>

            <!-- Bautizado -->
            <div>
                <label for="is_bautizado" class="block text-sm font-medium text-gray-700">Está Bautizado:</label>
                <select 
                    name="is_bautizado" 
                    id="is_bautizado" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    required>
                    <option value="1">Sí</option>
                    <option value="0">No</option>
                </select>
            </div>

            <!-- Fecha Ingreso -->
            <div>
                <label for="ing_iglesia" class="block text-sm font-medium text-gray-700">Fecha Ingreso:</label>
                <input 
                    type="date" 
                    name="ing_iglesia" 
                    id="ing_iglesia" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    required>
            </div>

            <!-- Botón de Registrar -->
            <button 
                type="submit" 
                class="w-full bg-indigo-600 text-white py-2 px-4 rounded-md shadow-sm hover:bg-indigo-700 focus:ring-2 focus:ring-indigo-500 focus:outline-none">
                Registrar Usuario
            </button>
        </form>

        <!-- Botón de Volver -->
        <a 
            href="<?php echo e(route('admin.dashboard')); ?>" 
            class="block text-center mt-4 text-indigo-600 hover:underline">
            Volver
        </a>
    </div>
</body>
</html>

<?php /**PATH C:\xampp1\htdocs\iglesiaPagina\resources\views/admin/register.blade.php ENDPATH**/ ?>