<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login Admin</title>
    <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>
</head>
<body class="font-[Poppins] bg-gradient-to-t from-[#D9E7DD] to-[#E6DAC3] flex items-center justify-center min-h-screen">
    <div class="bg-white shadow-md rounded-lg p-8 w-full max-w-md">
        <h1 class="text-2xl font-bold text-center mb-6 text-gray-700">Login de Administrador</h1>
        <form action="<?php echo e(route('admin.login')); ?>" method="POST" class="space-y-4">
            <?php echo csrf_field(); ?>
            <!-- Email Field -->
            <div>
                <label for="email" class="block text-sm font-medium text-gray-600">Email:</label>
                <input 
                    type="email" 
                    name="email" 
                    id="email" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    placeholder="correo@gmail.com" 
                    required>
            </div>
            <!-- Password Field -->
            <div>
                <label for="password" class="block text-sm font-medium text-gray-600">Contraseña:</label>
                <input 
                    type="password" 
                    name="password" 
                    id="password" 
                    class="w-full mt-1 px-3 py-2 border border-gray-300 rounded-md focus:ring-2 focus:ring-indigo-500 focus:border-indigo-500" 
                    placeholder="********" 
                    required>
            </div>
            <!-- Submit Button -->
            <button 
                type="submit" 
                class="w-full bg-indigo-600 text-white py-2 px-4 rounded-md hover:bg-indigo-700 focus:ring-2 focus:ring-indigo-500 focus:outline-none">
                Iniciar Sesión
            </button>
          
            <!-- Error Message -->
            <?php if($errors->has('login_error')): ?>
                <p class="text-sm text-red-500 mt-2"><?php echo e($errors->first('login_error')); ?></p>
            <?php endif; ?>
        </form>

        <button 
        type="submit" 
        class="w-full bg-indigo-600 text-white py-2 px-4 rounded-md hover:bg-indigo-700 focus:ring-2 focus:ring-indigo-500 focus:outline-none">
        <a href="<?php echo e(route('home')); ?>">Volver</a>
    </button>
    </div>
</body>
</html>
<?php /**PATH C:\xampp1\htdocs\iglesiaPagina\resources\views/admin/login.blade.php ENDPATH**/ ?>